# $Revision: 1.39 $, $Date: 2007/01/23 15:47:01 $
# TODO
#  - with mysql and pgsql?
%define		mod_name	mp3
%define 	apxs		/usr/sbin/apxs1
Summary:	MP3 Apache module
Summary(pl):	Modu MP3 do Apache
Name:		apache1-mod_%{mod_name}
Version:	0.40
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.tangent.org/download/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	a36b25ee4db268df45a03231993e718d
Source1:	%{name}.conf
URL:		http://media.tangent.org/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	libghttp-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_mp3 <= 0.40
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This turns apache into your basic RIAA hating, but every college
student loving MP3 streaming server. It can play from a list of files,
either straight through or randomly. It can also be used to cache
MP3's into memory and have the server operate entirely from memory.
Enjoy, groove, MP3s not included.

%description -l pl
Ten pakiet zamienia Twojego Apache w znienawidzony przez RIAA, ale
uwielbiany przez studentw serwer strumieni MP3. Moe odtwarza list
plikw, w kolejnoci lub losowo. Moe by take uyty do buforowania
plikw MP3 w pamici, pozwalajc serwerowi operowa wycznie na
pamici. Baw si dobrze; pliki MP3 nie s zaczone.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
./configure \
	--with-apxs=%{apxs} \
	%{?debug:--with-debug}

%{__make} \
	APXS=%{apxs} \
	AINCLUDEDIR="-I$(%{apxs} -q INCLUDEDIR) $(%{apxs} -q CFLAGS) %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install src/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 0.40-2.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
%service -q apache restart

%files
%defattr(644,root,root,755)
%doc README ChangeLog LICENSE faq.html support CONTRIBUTORS TODO utils/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/mod_mp3.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_mp3.spec,v $
Revision 1.39  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.38  2006/04/14 16:50:13  glen
- use %service

Revision 1.37  2006/01/09 10:41:05  qboosh
- typo, builds now; release 3

Revision 1.36  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.35  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.34  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.33  2005/02/10 18:04:08  glen
- confdir enabled apache1
- fix build (can't find apxs)

Revision 1.32  2004/10/28 10:15:40  paladine
- "MP3" unification

Revision 1.31  2004/09/06 08:07:29  qboosh
- release 2

Revision 1.30  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.29  2004/09/05 16:21:02  radek
- %doc CONTRIBUTORS TODO utils/*

Revision 1.28  2004/09/04 13:06:18  qboosh
- use PIC

Revision 1.27  2004/09/04 12:51:27  radek
- mv apache{,1}-*, other (cosmetic) tweaks

Revision 1.26  2003/10/16 19:05:30  qboosh
- updated to 0.40
- fixed BRs (added libghttp-devel, removed unused expat)
- pass optflags

Revision 1.24  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.23  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.20  2002/10/08 15:14:14  grzegorz
- up to 0.39 STBR

Revision 1.19  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.18  2002/08/11 19:17:47  kloczek
- change Source url to http (seems some problems with ftp).

Revision 1.17  2002/07/26 13:11:12  grzegorz
- up to 0.38
- dont gzip doc's
- STBR

Revision 1.16  2002/04/25 15:46:18  arturs
- fixed a small typo

Revision 1.15  2002/04/23 12:26:07  kloczek
- updated to 0.35.

Revision 1.14  2002/04/23 09:18:09  arturs
- License field change

Revision 1.13  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/17 21:08:31  ankry
- release 2

Revision 1.10  2002/02/17 18:52:20  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.9  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/19 01:48:18  kloczek
- updated to 0.31.

Revision 1.7  2001/11/10 20:54:58  grzegorz
- update to 0.30, STBR

Revision 1.6  2001/11/10 16:45:29  jajcus
- s/Distibutable/distributable/ in License

Revision 1.5  2001/10/29 00:57:19  kloczek
- release 2.

Revision 1.4  2001/10/28 18:28:52  qboosh
- pl description

Revision 1.3  2001/10/28 08:47:48  grzegorz
- added %verify(not size mtime md5) to %{_sysconfdir}/mod_mp3.conf
- added pl summary

Revision 1.2  2001/10/05 23:14:18  kloczek
- s/apache/apache(EAPI)/
- added apache(EAPI) to Prereq,
- cosmetics.

Revision 1.1  2001/10/05 13:17:50  grzegorz
- initial PLD spec
- added sample mod_mp3.conf file
